Summary:	Efficient KDE ID3 tag editor
Name:		kid3
Version:	3.4.5
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/KDE5
Url:		http://kid3.sourceforge.net/
Source0:	http://downloads.sourceforge.net/kid3/%{name}-%{version}.tar.xz
BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: libchromaprint-devel
BuildRequires: libffmpeg-devel 
BuildRequires: libflac++6-devel 
BuildRequires: libflac8-devel 
BuildRequires: libid3_3.8_3-devel 
BuildRequires: libkconfig-devel 
BuildRequires: libkcoreaddons-devel 
BuildRequires: libkf5configwidgets-devel 
BuildRequires: libkf5widgetsaddons-devel 
BuildRequires: libkf5xmlgui-devel 
BuildRequires: libmp4v2-devel
BuildRequires: libogg-devel 
BuildRequires: libqt5core-devel
BuildRequires: libqt5dbus-devel 
BuildRequires: libqt5gui-devel 
BuildRequires: libqt5multimedia-devel 
BuildRequires: libqt5network-devel 
BuildRequires: libqt5qml-devel 
BuildRequires: libqt5quick-devel 
BuildRequires: libqt5widgets-devel 
BuildRequires: libqt5xml-devel 
BuildRequires: libreadline-devel 
BuildRequires: libtaglib-devel 
BuildRequires: libvorbis0-devel 
BuildRequires: mesa-devel 
BuildRequires: qtbase5-common-devel 
BuildRequires: qttools5
BuildRequires: xsltproc 
Requires: kid3-common

%description
If you want to easily tag multiple MP3, Ogg/Vorbis, FLAC, MPC, MP4/AAC,
MP2, Speex, TrueAudio, WavPack, WMA, WAV and AIFF files (e.g. full albums)
without typing the same information again and again, and have control over
both ID3v1 and ID3v2 tags, then Kid3 is the program you are looking for.

With Kid3 you can:
- Edit ID3v1.1 tags
- Edit all ID3v2.3 and ID3v2.4 frames
- Convert between ID3v1.1, ID3v2.3 and ID3v2.4 tags
- Edit tags of multiple files
- Generate tags from filenames
- Generate tags from the contents of tag fields
- Generate filenames from tags
- Generate play-list files
- Automatic case conversion and string translation
- Import and export album data
- Import from gnudb.org, TrackType.org, MusicBrainz, Discogs, Amazon.

%files
%doc AUTHORS ChangeLog COPYING LICENSE README
%doc %{_docdir}/HTML/*/%{name}/
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/applications/%{name}.desktop
%{_kf5_datadir}/appdata/%{name}.appdata.xml
%{_kf5_datadir}/kxmlgui5/%{name}/kid3ui.rc
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf5_iconsdir}/hicolor/scalable/apps/%{name}.svgz

#--------------------------------------------------------------------

%package	common
Summary:	Efficient Core libraries and Data ID3 tag editor
Group:		Graphical desktop/KDE5

%description	common
If you want to easily tag multiple MP3, Ogg/Vorbis, FLAC, MPC, MP4/AAC,
MP2, Speex, TrueAudio, WavPack, WMA, WAV, and AIFF files (e.g. full albums)
without typing the same information again and again and have control over
both ID3v1 and ID3v2 tags, then Kid3 is the program you are looking for.
This package provides files shared between all Kid3 variants.

%files common
%doc AUTHORS ChangeLog COPYING LICENSE README
%{_kf5_libdir}/lib%{name}*.so*
%{_kf5_libdir}/%{name}/
%dir %{_kf5_datadir}/%{name}/
%dir %{_kf5_datadir}/%{name}/qml/
%dir %{_kf5_datadir}/%{name}/translations/
%{_kf5_datadir}/%{name}/qml/script/
%{_kf5_datadir}/%{name}/translations/*.qm
%{_kf5_datadir}/dbus-1/interfaces/*.xml
%{_kf5_mandir}/man1/%{name}.1*
%lang(de) %{_kf5_mandir}/de/man1/%{name}.1*

#--------------------------------------------------------------------

%package	qt
Summary:	Efficient Qt ID3 tag editor
Group:		Graphical desktop/KDE5
Requires:	kid3-common

%description	qt
If you want to easily tag multiple MP3, Ogg/Vorbis, FLAC, MPC,
MP4/AAC, MP2, Speex, TrueAudio and WavPack files (e.g. full albums)
without typing the same information again and again and have control
over both ID3v1 and ID3v2 tags, then Kid3 is the program you are
looking for. This package provides Kid3 built without KDE dependencies.

%files qt
%doc %{_docdir}/%{name}-qt
%{_kf5_bindir}/%{name}-qt
%{_kf5_datadir}/applications/%{name}-qt.desktop
%{_kf5_datadir}/appdata/%{name}-qt.appdata.xml
%{_kf5_iconsdir}/hicolor/*/apps/%{name}-qt.png
%{_kf5_iconsdir}/hicolor/scalable/apps/%{name}-qt.svg
%{_kf5_mandir}/man1/%{name}-qt.1*
%lang(de) %{_kf5_mandir}/de/man1/%{name}-qt.1*

#--------------------------------------------------------------------

%package	cli
Summary:	Efficient CLI ID3 tag editor
Group:		Graphical desktop/KDE5

%description	cli
If you want to easily tag multiple MP3, Ogg/Vorbis, FLAC, MPC,
MP4/AAC, MP2, Speex, TrueAudio and WavPack files (e.g. full albums)
without typing the same information again and again and have control
over both ID3v1 and ID3v2 tags, then Kid3 is the program you are
looking for. This package provides Kid3 built without GUI dependencies.

%files cli
%doc AUTHORS ChangeLog COPYING LICENSE README
%{_kf5_bindir}/%{name}-cli
%{_kf5_mandir}/man1/%{name}-cli.1*
%lang(de) %{_kf5_mandir}/de/man1/%{name}-cli.1*

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5 \
	-DWITH_LIBDIR=%{_lib} \
	-DWITH_MP4V2=ON \
	-DWITH_FFMPEG=ON \
	-DWITH_NO_MANCOMPRESS=ON

%make

%install
rm -rf %buildroot
%make_install -C build

# remove unwanted devel files
rm -f %{buildroot}%{_kf5_libdir}/lib%{name}*.so


%changelog
* Sat Apr 07 2018 adrianomorselli <adrianomorselli> 3.4.5-2uplos2018
- update
- new ffmpeg
